Subject: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Michael Albinus <[email-masked]>
Date: Sat, 27 Feb 2016 20:56:29 +0100

Eli Zaretskii <[email-masked]> writes:

>> The hang must be somewhere else in Emacs, where the request for a new
>> file descriptor is assumed to work w/o check.
>
> That's what I meant: something, somewhere is not working correctly.

I've improved the test case. The file-error is trapped, and the test
continues. Now I get

Test file-notify-test09-sufficient-ressources condition:
    (error "Invalid byte code in /usr/local/src/emacs-25/lisp/emacs-lisp/cl-seq.elc")

The Lisp backtrace doesn't tell anything useful. What could I do now?
I've recompiled lisp/emacs-lisp/cl-seq.el, of course.

Best regards, Michael.